List organization API keys
List all API keys associated with users in an organization, sorted by creation date with the newest keys first. An organization-scoped API key determines the organization; otherwise, provide org_id. If org_id does not match the organization-scoped key’s organization, or the caller is not an owner of the organization, no keys are returned. Responses include key metadata only; key secrets are never returned. To list service tokens, use GET /v1/service_token.
Authorizations
Most Braintrust endpoints are authenticated by providing your API key as a header Authorization: Bearer [api_key] to your HTTP request. You can create an API key in the Braintrust organization settings page.
Query Parameters
Limit the number of objects to return
x >= 0Pagination cursor id.
For example, if the final item in the last page you fetched had an id of foo, pass starting_after=foo to fetch the next page. Note: you may only pass one of starting_after and ending_before
Pagination cursor id.
For example, if the initial item in the last page you fetched had an id of foo, pass ending_before=foo to fetch the previous page. Note: you may only pass one of starting_after and ending_before
Filter search results to a particular set of object IDs. To specify a list of IDs, include the query param multiple times
Name of the api_key to search for
Identify the organization to list API keys for
Include API keys created at or after this timestamp
Include API keys created at or before this timestamp
Response
Returns a list of api_key objects
A list of api_key objects